@rem 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
@rem All rights reserved. Licensed Materials Property of IBM  
@rem US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  

@setlocal
@echo off

rem Setup standard environment variables.

call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console


rem Test JAVA_HOME and java:
rem
rem Sanity check to keep us from getting into
rem an infinite loop.  (Caused by the 'if errorlevel 1'
rem statement, below.)

rem Test #1: JAVA_HOME must be set by 'setupCmdLine.bat',
rem at the beginning of this file (or elsewhere).

:TEST_JHOME

if (%JAVA_HOME%) == () goto NO_JHOME
goto SET_CP

:NO_JHOME
echo ERROR: Environment variable JAVA_HOME was not set; aborting.
goto DONE

:SET_CP

set PATH=%WAS_HOME%\bin;%PATH%


rem Finally, launch the admin server:
rem
rem Exit code 174 means that the configuration information is
rem inconsistent.
rem
rem Exit code 87 means that an immediate restart is requested.
rem
rem '-nodeRestart' is used to indicate a node restart.
rem

:START_S

set restart=-nodeRestart
set RETRY=

:RESTART_S

%JAVA_HOME%\bin\java %CONSOLE_ENCODING% -DDER_DRIVER_PATH=%DER_DRIVER_PATH% -Xms17m -Xmx128m -Xminf0.15 -Xmaxf0.25 -Djavax.rmi.CORBA.UtilClass=com.ibm.CORBA.iiop.Util -Dcom.ibm.CORBA.iiop.noLocalCopies=true -Dws.ext.dirs=%WAS_EXT_DIRS% -classpath %WAS_CLASSPATH% com.ibm.ws.bootstrap.WSLauncher com.ibm.ejs.sm.server.AdminServer -bootFile %WAS_HOME%\bin\admin.config %restart% %*
set rc=%errorlevel%

rem Inconsistent Config
if "%rc%" == "174" goto DONE
set restart=
rem Restart
if "%rc%" == "87" set restart=-nodeRestart

rem Increment Retry count
set RETRY=X%RETRY%

rem if not FATAL ERROR, reset RETRY count
if "%rc%" NEQ "1" set RETRY=
if "%RETRY%" == "XXX" goto DONE

rem handle Ctrl-C
if "%rc%" == "3" goto DONE
if "%rc%" == "130" goto DONE
if "%rc%" == "0" goto DONE

goto RESTART_S


@rem Closeout the changes from the top of file.
@rem The 'endlocal' bounds the 'set echo off' setting.

:DONE
@endlocal
