//DDLADMIN JOB 'IBM',REGION=6M,CLASS=A,MSGCLASS=H,NOTIFY=&SYSUID
//JOBLIB   DD  DSN=DBU.SDSNLOAD,DISP=SHR
//CRTTABLE EXEC PGM=IKJEFT01,DYNAMNBR=20
//SYSTSPRT DD  SYSOUT=*
//SYSTSIN  DD  *
DSN SYSTEM(DBUG)
RUN  PROGRAM(DSNTIAD) PLAN(DSNTIA71) -
     LIB('DBUG.RUNLIB.LOAD')
//SYSPRINT DD  SYSOUT=*
//SYSUDUMP DD  SYSOUT=*
//**************************************************************************
//*   THIS DB2390.SQL WAS CREATED BY Sean Lee ON 06/27/2002
//*
//*   ATTENTION: USING DB2 UDB FOR OS/390 AS THE ADMINISTRATIVE REPOSITORY
//*   FOR WEBSPHERE ON NON S/390 PLATFORMS REQUIRES THE FOLLOING:
//*      1 ) SET DB2 SYSTEM PARAMETERS: RRULOCK=YES, RETVLCFK=NO
//*      2 ) REVIEW REQUIRED DB2 APARS: PQ48709 and PQ48949
//*
//*   THIS JCL IS PROVIDED AS A SAMPLE FOR THE CREATION OF THE
//*   REQUIRED DATABASE OBJECTS FOR WEBSPHERE 4.X
//*   ADMINISTRATIVE REPOSITORY.  
//*
//*   PLEASE NOTE THAT THE DEFAULT STOGROUP 'SYSDEFLT' IS 
//*   SPECIFIED AND THE BUFFERPOOL FOR 4K PAGE OBJECTS IS NOT SPECIFIED
//*   AS A RESULT, THE DEFAULT BUFFERPOOL BP0 (PRIOR TO V6) OR ZPARMS
//*   TBSBPOOL AND IDXBPOOL ARE UTILIZED. YOUR DB2 DBA WILL LIKELY 
//*   WANT TO CHANGE THESE TABLESPACE ATTRIBUTES TO FIT YOUR NAMING 
//*   STANDARDS.  IN ADDITION THERE ARE LOB OBJECTS DEFINED
//*   WITH BUFFERPOOLS 'BP32K'.  THE USER ID SPECIFIED ON OBJECT
//*   GRANT STATEMENTS IS WEBSRV, THIS USER ID SHOULD BE CHANGED TO THE
//*   ID USED BY THE WEBSPHERE APPLICATION SERVER TO CONNECT TO DB2 UDB FOR
//*   OS/390. PUBLIC SHOULD BE NOT GRANTED AUTHORITY TO UPDATE THESE OBJECTS.
//*   DATABASE ADMINISTRATORS SHOULD ALTER THESE STATEMENTS REFLECT
//*   YOUR SYSTEM CONVENTIONS.
//*
//*   THE FOLLOWING MAY NEED TO BE CHANGED:
//*     1) 'SYSDEFLT' - STOGROUP TO BE UTILIZED
//*     2) 'WEBSRV'  -  WebSphere Admin Server USERID
//*     3)  BUFFERPOOL - STATEMENT WILL NEED TO BE ADDED IF
//*                     ZPARM DEFAULTS ARE NOT APPROPRIATE
//*     4) 'BP32K' - LOB OBJECTS HAVE BEEN SET TO UTILIZE BP32K
//*     5) JOB CARD
//*     6) 'DBTG' - SUBSYSTEM NAME
//*     7) 'DBTG.RUNLIB.LOAD'- LOAD LIBRARY
//*     8) 'DSNTIA71' - PLAN NAME FOR DSNTIAD
//*
//*****************************************************************************
//*    USING MULTIPLE VERSIONS/INSTANCES OF WAS 4.X INSTALLATION IS
//*    POSSIBLE.  TO IMPLEMENT A SECOND INSTANCE, DO THE FOLLOWING
//*
//*    ALTER THIS DB2390.SQL SCRIPT:
//*      9) DATABASE NAMES SHOULD BE UNIQUE FOR EACH INSTANCE (WAS4DIST)
//*      10) TABLE QUALIFIERS SHOULD BE UNIQUE FOR EACH INSTANCE (EJSADMIN)
//*	
//*    ALTER ADMIN.CONFIG:
//*      11) MATCH THE VALUE OF com.ibm.ejs.sm.adminServer.dbSchema AND THE      
//*         TABLE QUALIFIER (EJSADMIN) FROM STEP 10) ABOVE    
//*****************************************************************************
//SYSIN    DD  *

  DROP DATABASE WAS4DIST;
  COMMIT;

 CREATE DATABASE WAS4DIST
  STOGROUP SYSDEFLT
  CCSID EBCDIC;

  
CREATE TABLESPACE BINDBTS IN WAS4DIST
	 BUFFERPOOL BP32K
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 16
     	 DEFINE NO;


CREATE TABLE EJSADMIN.BINDINGBEANTBL (
NAME                           VARCHAR(180)  NOT NULL,
CONTEXTID                      VARCHAR(36) NOT NULL,
KIND                           VARCHAR(250),
IOR                            LONG VARCHAR,
OBJECTTYPE                     SMALLINT,
PRIMARY KEY(CONTEXTID, NAME)) IN WAS4DIST.BINDBTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.BINDINGBEANIX ON
       EJSADMIN.BINDINGBEANTBL
       (CONTEXTID, NAME);


CREATE TABLESPACE CTXBNTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 BUFFERPOOL BP32K
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.CONTEXTBEANTBL (
CONTEXTID                      VARCHAR(36) NOT NULL,
PARENTID                       VARCHAR(72),
NAME                           LONG VARCHAR,
PRIMARY KEY(CONTEXTID)) IN WAS4DIST.CTXBNTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.CTXTBEANIX ON
       EJSADMIN.CONTEXTBEANTBL
       ( CONTEXTID );


  CREATE TABLESPACE DSRCTS IN WAS4DIST
     	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.DATASOURCE_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
NAME                           VARCHAR(255) NOT NULL,
DB_NAME                        VARCHAR(255),
MINPOOLSIZE                    INTEGER NOT NULL,
MAXPOOLSIZE                    INTEGER NOT NULL,
CONNTIMEOUT                    INTEGER NOT NULL,
IDLETIMEOUT                    INTEGER NOT NULL,
ORPHANTIMEOUT                  INTEGER NOT NULL,
STMTCACHESIZE		       INTEGER NOT NULL,
DEFAULTUSER 		       VARCHAR(255),
DEFAULTPASSWD                  VARCHAR(255),
DISABLEAUTOCLEAN	       INTEGER NOT NULL,
JTAENABLED		       INTEGER NOT NULL,
DESCRIPTION		       VARCHAR(256),
JNDINAME		       VARCHAR(255) NOT NULL,
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.DSRCTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.DATASOURCE_IX ON
       EJSADMIN.DATASOURCE_TABLE
       ( INSTANCE_ID );


CREATE TABLESPACE DOMAINTS IN WAS4DIST
     	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.DOMAIN_TABLE  (
INSTANCE_ID 			VARCHAR(64) NOT NULL,
TYPE_ID 			VARCHAR(64) NOT NULL,
NAME 				VARCHAR(255) NOT NULL,
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.DOMAINTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.DOMAIN_IX ON
       EJSADMIN.DOMAIN_TABLE
       ( INSTANCE_ID );

CREATE TABLESPACE DOMTMPTS IN WAS4DIST
  USING STOGROUP SYSDEFLT
  PRIQTY 12
  SECQTY 12
  LOCKSIZE ROW
  DEFINE NO;

CREATE TABLE EJSADMIN.DOMAIN_TMPTBL (
NAME          VARCHAR(255) NOT NULL
  ) IN WAS4DIST.DOMTMPTS;


  CREATE TABLESPACE EJBSRVTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.EJB_SERVER_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
LOG_SPEC                       VARCHAR(255),
SEL_POLICY                     VARCHAR(255) NOT NULL,
TRAN_TIMEOUT                   INTEGER NOT NULL,
TRAN_INACT                     INTEGER NOT NULL,
TPOOL_SIZE                     INTEGER NOT NULL,
DEBUG_ENABLED                  INTEGER NOT NULL,
OLT_ENABLED                    INTEGER NOT NULL,
SEC_ENABLED                    INTEGER NOT NULL,
IS_A_CLONE                     INTEGER NOT NULL,
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.EJBSRVTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.EJB_SERVER_IX ON
       EJSADMIN.EJB_SERVER_TABLE
       ( INSTANCE_ID );



  CREATE TABLESPACE ENTAPTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;


CREATE TABLE EJSADMIN.ENTAPP_TABLE  (
INSTANCE_ID 			VARCHAR(64) NOT NULL,
TYPE_ID 			VARCHAR(64) NOT NULL,
NAME 				VARCHAR(255) NOT NULL,
ORIGINAL_EAR_FILE 		VARCHAR(255) NOT NULL,
ORIGINAL_NODE_NAME 		VARCHAR(255) NOT NULL,
ADMINAPP 			VARCHAR(255) NOT NULL,
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.ENTAPTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.ENTAPP_IX ON
       EJSADMIN.ENTAPP_TABLE
       ( INSTANCE_ID );


  CREATE TABLESPACE J2CCTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.J2CCONFACT_TABLE  (
INSTANCE_ID			VARCHAR(64) NOT NULL,
TYPE_ID				VARCHAR(64) NOT NULL,
NAME				VARCHAR(255) NOT NULL,
DESCRIPTION			VARCHAR(256),
CONNTIMEOUT			VARCHAR(64) NOT NULL,
MAXCONNECTIONS			INTEGER,
MINCONNECTIONS			INTEGER,
REAPTIME			VARCHAR(64) NOT NULL,
UNUSEDTIMEOUT			VARCHAR(64) NOT NULL,
POOLNAME			VARCHAR(255),
SUBPOOLNAME			VARCHAR(255),
JNDINAME			VARCHAR(255),
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.J2CCTS;


CREATE TYPE 2 UNIQUE INDEX EJSADMIN.J2C_IX ON
       EJSADMIN.J2CCONFACT_TABLE
       ( INSTANCE_ID );


CREATE TABLESPACE J2CRTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;


CREATE TABLE EJSADMIN.J2CRA_TABLE (
INSTANCE_ID			VARCHAR(64) NOT NULL,
TYPE_ID 			VARCHAR(64) NOT NULL,
NAME 				VARCHAR(255) NOT NULL,
DESCRIPTION 			VARCHAR(256),
ARCHIVEFILE 			VARCHAR(255) NOT NULL,
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.J2CRTS;


CREATE TYPE 2 UNIQUE INDEX EJSADMIN.J2CR_IX ON
       EJSADMIN.J2CRA_TABLE
       ( INSTANCE_ID );



  CREATE TABLESPACE JDBCTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;


CREATE TABLE EJSADMIN.JDBCDRIV_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
NAME                           VARCHAR(255) NOT NULL,
IMPL_CLASS                     VARCHAR(64) NOT NULL,
URL_PREFIX                     VARCHAR(255),
DESCRIPTION 		       VARCHAR(256),
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.JDBCTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.JDBC_IX ON
       EJSADMIN.JDBCDRIV_TABLE
       ( INSTANCE_ID );


CREATE TABLESPACE JMSDTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.JMSDEST_TABLE  (
INSTANCE_ID 			VARCHAR(64) NOT NULL,
TYPE_ID 			VARCHAR(64) NOT NULL,
NAME 				VARCHAR(255) NOT NULL,
JNDINAME 			VARCHAR(255),
DESCRIPTION 			VARCHAR(256),
EXTERNALJNDINAME 		VARCHAR(255) NOT NULL,
DESTINATIONTYPE 		INTEGER NOT NULL,
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.JMSDTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.JMSD_IX ON
       EJSADMIN.JMSDEST_TABLE
       ( INSTANCE_ID );


CREATE TABLESPACE JMSCTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.JMSCONNFACT_TABLE  (
INSTANCE_ID			 VARCHAR(64) NOT NULL,
TYPE_ID				 VARCHAR(64) NOT NULL,
NAME				 VARCHAR(255) NOT NULL,
JNDINAME			 VARCHAR(255),
DESCRIPTION			 VARCHAR(256),
EXTERNALJNDINAME		 VARCHAR(255) NOT NULL,
CONNECTIONTYPE	 		 INTEGER NOT NULL,
PRIMARY KEY( INSTANCE_ID) )IN WAS4DIST.JMSCTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.JMSC_IX ON
       EJSADMIN.JMSCONNFACT_TABLE
       ( INSTANCE_ID );


CREATE TABLESPACE JMSPTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.JMSPROVIDER_TABLE  (
INSTANCE_ID			 VARCHAR(64) NOT NULL,
TYPE_ID 			 VARCHAR(64) NOT NULL,
NAME				 VARCHAR(255) NOT NULL,
DESCRIPTION			 VARCHAR(256),
EXTINITCTX_FACTORY		 VARCHAR(255) NOT NULL,
EXTPROVIDERURL  		 VARCHAR(255) NOT NULL,
JNDIBINDMECH			 VARCHAR(255),
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.JMSPTS;


CREATE TYPE 2 UNIQUE INDEX EJSADMIN.JMSPTS ON
       EJSADMIN.JMSPROVIDER_TABLE
       ( INSTANCE_ID );


  CREATE TABLESPACE LVGRPTS IN WAS4DIST
 	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.LIVE_OBJ_GRP_TBL (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
DESIRED_STATE                  INTEGER NOT NULL,
START_TIME                     VARCHAR(64) NOT NULL,
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.LVGRPTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.LVGRP_IX ON
       EJSADMIN.LIVE_OBJ_GRP_TBL
       ( INSTANCE_ID );


  CREATE TABLESPACE LVOBJTS IN WAS4DIST
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
	 SEGSIZE 12
         LOCKSIZE ROW
     	 DEFINE NO;


CREATE TABLE EJSADMIN.LIVE_OBJ_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
DESIRED_STATE                  INTEGER NOT NULL,
STOP_CONFIRMED                 INTEGER NOT NULL,
EPOCH                          INTEGER NOT NULL,
VERSION                        INTEGER NOT NULL,
IMPLICIT_START                 INTEGER NOT NULL,
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.LVOBJTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.LVOBJ_IX ON
       EJSADMIN.LIVE_OBJ_TABLE
       ( INSTANCE_ID );


CREATE TABLESPACE LOCKTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
         DEFINE NO;

CREATE TABLE EJSADMIN.LOCK_TABLE (
NAME                           VARCHAR(64) NOT NULL,
VAL                            INTEGER NOT NULL,
PRIMARY KEY(NAME)) IN WAS4DIST.LOCKTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.LCK_IX ON
       EJSADMIN.LOCK_TABLE
       ( NAME );


  CREATE TABLESPACE LTPATS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
         DEFINE NO;

CREATE TABLE EJSADMIN.LTPACONFIG_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
EXPIRATION_TIME                VARCHAR(64) NOT NULL,
IS_PASSWD_IN_TOKEN             INTEGER NOT NULL,
PRIMARY KEY(INSTANCE_ID)) IN WAS4DIST.LTPATS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.LTPACONFIG_IX ON
       EJSADMIN.LTPACONFIG_TABLE
       (INSTANCE_ID);


  CREATE TABLESPACE MAILTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 8
     	 DEFINE NO;

CREATE TABLE EJSADMIN.MAILSESSION_TABLE  (
INSTANCE_ID			VARCHAR(64) NOT NULL,
TYPE_ID				VARCHAR(64) NOT NULL ,
NAME				VARCHAR(255) NOT NULL ,
THOST				VARCHAR(255) NOT NULL ,
TPROTOCOL			VARCHAR(255),
TUSER				VARCHAR(255),
TPASSWORD			VARCHAR(255),
MAILFROM			VARCHAR(255),
SPROTOCOL			VARCHAR(255),
SHOST				VARCHAR(255),
SUSER				VARCHAR(255),
SPASSWORD			VARCHAR(255),
DESCRIPTION			VARCHAR(256),
JNDINAME			VARCHAR(255),
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.MAILTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.MAILS_IX ON
       EJSADMIN.MAILSESSION_TABLE
       (INSTANCE_ID);


CREATE TABLESPACE MODELTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 16
     	 DEFINE NO;

CREATE TABLE EJSADMIN.MODEL_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
NAME                           VARCHAR(255) NOT NULL,
CLONE_INTF_CLASS               VARCHAR(255) NOT NULL,
IF_STARTED                     INTEGER NOT NULL,
START_TIME                     VARCHAR(64) NOT NULL,
CONFIG_NO                      VARCHAR(64) NOT NULL,
NUM_CLONES                     VARCHAR(64) NOT NULL,
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.MODELTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.MODEL_IX ON
       EJSADMIN.MODEL_TABLE (INSTANCE_ID);


  CREATE TABLESPACE MDULTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 16
     	 DEFINE NO;

CREATE TABLE EJSADMIN.MODULE_TABLE (
INSTANCE_ID 			VARCHAR(64) NOT NULL,
TYPE_ID 			VARCHAR(64) NOT NULL,
MODULENAME 			VARCHAR(255) NOT NULL,
MODULETYPE 			VARCHAR(64) NOT NULL,
RELATIVEURI	 		VARCHAR(255) NOT NULL,
CONTEXTROOT 			VARCHAR(255),
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.MDULTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.MODULE_IX ON
       EJSADMIN.MODULE_TABLE (INSTANCE_ID);


  CREATE TABLESPACE NODETS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 16
     	 DEFINE NO;

CREATE TABLE EJSADMIN.NODE_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL ,
NAME                           VARCHAR(255) NOT NULL,
DEPLOYEDJARDIR                 VARCHAR(255),
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.NODETS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.NODE_IX ON
       EJSADMIN.NODE_TABLE (INSTANCE_ID);


CREATE TABLESPACE OBJTS IN WAS4DIST
       	USING STOGROUP SYSDEFLT
       	PRIQTY 512
	SECQTY 1024
        LOCKSIZE ROW
	SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.OBJECT_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
VERSION                        INTEGER NOT NULL,
BINARY_ATTR                    BLOB(1048576),
TROW                      ROWID NOT NULL GENERATED ALWAYS,
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.OBJTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.OBJECT_IX ON
       EJSADMIN.OBJECT_TABLE (INSTANCE_ID);


CREATE LOB TABLESPACE LOBOBJTS IN WAS4DIST
         BUFFERPOOL BP32K
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE LOB;

CREATE AUX TABLE EJSADMIN.OBJECTAUX
       IN WAS4DIST.LOBOBJTS
       STORES EJSADMIN.OBJECT_TABLE
       COLUMN BINARY_ATTR;


CREATE INDEX EJSADMIN.OBJ_LOB_IX ON EJSADMIN.OBJECTAUX;



  CREATE TABLESPACE PROPTS IN WAS4DIST
       USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.PROPERTYBEANTBL (
NAME                           VARCHAR(180) NOT NULL,
CONTEXTID                      VARCHAR(36) NOT NULL,
PROPERTYNAME                   VARCHAR(32) NOT NULL,
KIND                           VARCHAR(250),
VALUE                          BLOB(1048576),
TROW 			 ROWID NOT NULL GENERATED ALWAYS,
PRIMARY KEY (CONTEXTID, NAME, PROPERTYNAME)) IN WAS4DIST.PROPTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.PROP_IX ON
       EJSADMIN.PROPERTYBEANTBL
       (CONTEXTID, NAME, PROPERTYNAME);

CREATE LOB TABLESPACE PRPLOBTS IN WAS4DIST
         BUFFERPOOL BP32K
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE LOB
	 GBPCACHE SYSTEM
	 LOG YES;

CREATE AUX TABLE EJSADMIN.PROP_AUX
       IN WAS4DIST.PRPLOBTS
       STORES EJSADMIN.PROPERTYBEANTBL
       COLUMN VALUE;


CREATE INDEX EJSADMIN.PRPAUXX ON EJSADMIN.PROP_AUX;



  CREATE TABLESPACE RELDEFTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32;


CREATE TABLE EJSADMIN.REL_DEFN_TABLE (
INSTANCE_ID                     VARCHAR(64) NOT NULL,
TYPE_ID                         VARCHAR(64) NOT NULL,
SOURCE_TYPE                     VARCHAR(64) NOT NULL,
TARGET_TYPE                     VARCHAR(64) NOT NULL,
NAME                            VARCHAR(255) NOT NULL,
CARDINALITY                     INTEGER NOT NULL,
IS_NAMED                        INTEGER NOT NULL,
IS_CONTAINMENT                  INTEGER NOT NULL,
SRC_UI                          VARCHAR(255),
TARGET_UI                       VARCHAR(255),
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.RELDEFTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.REL_DEF_IX ON
  EJSADMIN.REL_DEFN_TABLE
  (INSTANCE_ID);


CREATE TABLESPACE RELINSTS IN WAS4DIST
        USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 16;

CREATE TABLE EJSADMIN.REL_INSTANCE_TABLE (
REL_ID                         VARCHAR(64) NOT NULL,
SRC_ID                         VARCHAR(64) NOT NULL,
TARGET_ID                      VARCHAR(64) NOT NULL,
LINK_NAME                      VARCHAR(255) NOT NULL,
REF_COUNT			INTEGER)
IN WAS4DIST.RELINSTS;


  CREATE TABLESPACE SETS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.SE_TABLE (
MSG_ID                         INTEGER NOT NULL,
NODE_NAME                      VARCHAR(64),
SERVER_NAME                    VARCHAR(255),
MSG_TIME                       VARCHAR(64),
MSG_TYPE                       VARCHAR(64),
PARAMS                         BLOB(1048576),
SOURCE_NAME                    VARCHAR(255),
THREAD_ID                      VARCHAR(255),
MY_ROW        ROWID NOT NULL GENERATED ALWAYS,
PRIMARY KEY (MSG_ID)) IN WAS4DIST.SETS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.SE_IX ON
       EJSADMIN.SE_TABLE
       (MSG_ID);



CREATE LOB TABLESPACE SELOBTS IN WAS4DIST
	 BUFFERPOOL BP32K
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE LOB
	 GBPCACHE SYSTEM
	 LOG YES;

CREATE AUX TABLE EJSADMIN.SE_AUX_TB
       IN WAS4DIST.SELOBTS
       STORES EJSADMIN.SE_TABLE
       COLUMN PARAMS;


CREATE INDEX EJSADMIN.SE_AUX_IX ON EJSADMIN.SE_AUX_TB;




  CREATE TABLESPACE SECCFGTS IN WAS4DIST
        USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;



CREATE TABLE EJSADMIN.SECURITYCFG_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
SECURITYENABLED                INTEGER,
REALMNAME                      VARCHAR(64) NOT NULL,
CHALLENGETYPE                  VARCHAR(64) NOT NULL,
SSLENABLED                     INTEGER,
SSOENABLED                     INTEGER,
AUTHMECHANISM                  VARCHAR(64),
URTYPE                         VARCHAR(64),
URFACTORYCLASS                 VARCHAR(255),
PLUGINCACHETIMEOUT             INTEGER,
TRUSTAENABLED		       INTEGER,
LDAPSSLENABLED                 INTEGER,
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.SECCFGTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.SECCFG_IX ON
       EJSADMIN.SECURITYCFG_TABLE
       (INSTANCE_ID);


  CREATE TABLESPACE SRVRTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.SERVER_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
EXECUTABLE                     VARCHAR(255) NOT NULL,
USER_ID                        VARCHAR(255),
GROUP_ID                       VARCHAR(255),
WORKING_DIR                    VARCHAR(255),
UMASK                          INTEGER,
STDIN                          VARCHAR(255),
STDOUT                         VARCHAR(255),
STDERR                         VARCHAR(255),
MAX_START_TRIES                INTEGER,
PROC_PRIORITY                  INTEGER,
PING_INTERVAL                  INTEGER,
PING_TIMEOUT                   INTEGER,
PING_INIT_TIMEOUT              INTEGER,
SERVER_INSTANCE                VARCHAR(64) NOT NULL,
SELECTION_POLICY               VARCHAR(64),
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.SRVRTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.SRVR_IX ON
       EJSADMIN.SERVER_TABLE
       (INSTANCE_ID);


  CREATE TABLESPACE SGRPTS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 64
     	 DEFINE NO;

CREATE TABLE EJSADMIN.SERVERGROUP_TABLE  (
INSTANCE_ID 		VARCHAR(64) NOT NULL,
TYPE_ID 		VARCHAR(64) NOT NULL,
NAME 			VARCHAR(255) NOT NULL,
IF_STARTED 		INTEGER NOT NULL,
START_TIME 		VARCHAR(64) NOT NULL,
CONFIG_NO 		VARCHAR(64) NOT NULL,
NUM_CLONES 		VARCHAR(64) NOT NULL,
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.SGRPTS;


CREATE TYPE 2 UNIQUE INDEX EJSADMIN.SRVGRP_IX ON
       EJSADMIN.SERVERGROUP_TABLE
       (INSTANCE_ID);



CREATE TABLESPACE TYPETS IN WAS4DIST
         USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.TYPE_TABLE (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
INTERFACE_CLASS                VARCHAR(255) NOT NULL,
IMPL_CLASS                     VARCHAR(255) NOT NULL,
IS_ROOT_TYPE                   INTEGER NOT NULL ,
UI_DESCR                       VARCHAR(256) ,
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.TYPETS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.TYPE_IX ON
       EJSADMIN.TYPE_TABLE
       (INSTANCE_ID);


  CREATE TABLESPACE URLTS  IN WAS4DIST
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.URL_TABLE  (
INSTANCE_ID 			VARCHAR(64) NOT NULL,
TYPE_ID 			VARCHAR(64) NOT NULL,
NAME 				VARCHAR(255) NOT NULL,
JNDINAME 			VARCHAR(255),
DESCRIPTION 			VARCHAR(256),
SPEC 				VARCHAR(255) NOT NULL,
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.URLTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.URL_IX ON
       EJSADMIN.URL_TABLE
       (INSTANCE_ID);

CREATE TABLESPACE URLPRTS  IN WAS4DIST
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.URLPROVIDER_TABLE  (
INSTANCE_ID			 VARCHAR(64) NOT NULL,
TYPE_ID				 VARCHAR(64) NOT NULL,
NAME				 VARCHAR(255) NOT NULL,
DESCRIPTION			 VARCHAR(256),
PROTOCOL			 VARCHAR(255) NOT NULL,
STREAMHNDLRCLASS		 VARCHAR(255) NOT NULL,
PRIMARY KEY(INSTANCE_ID) ) IN WAS4DIST.URLPRTS;


CREATE TYPE 2 UNIQUE INDEX EJSADMIN.URLPR_IX ON
       EJSADMIN.URLPROVIDER_TABLE
       (INSTANCE_ID);



  CREATE TABLESPACE VHOSTTS IN WAS4DIST
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;

CREATE TABLE EJSADMIN.VIRTUAL_HOST_TBL (
INSTANCE_ID                    VARCHAR(64) NOT NULL,
TYPE_ID                        VARCHAR(64) NOT NULL,
VIRTUALHOSTNAME                VARCHAR(255) NOT NULL,
PRIMARY KEY (INSTANCE_ID)) IN WAS4DIST.VHOSTTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.VHOST_IX ON
       EJSADMIN.VIRTUAL_HOST_TBL
       (INSTANCE_ID);



 CREATE TABLESPACE WLMBTS IN WAS4DIST
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;


CREATE TABLE EJSADMIN.WLMBOOT_TABLE  (
GROUP_NAME                     VARCHAR(64) NOT NULL,
SEL_POLICY                     VARCHAR(64) NOT NULL,
CONFIG_NO                      VARCHAR(64) NOT NULL,
PRIMARY KEY (GROUP_NAME))  IN WAS4DIST.WLMBTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.WLMBIX ON
       EJSADMIN.WLMBOOT_TABLE
       (GROUP_NAME);


 CREATE TABLESPACE WLMBSVTS IN WAS4DIST
	 USING STOGROUP SYSDEFLT
	 PRIQTY 512
	 SECQTY 1024
         LOCKSIZE ROW
	 SEGSIZE 32
     	 DEFINE NO;


CREATE TABLE EJSADMIN.WLMBOOTSRVRS_TABLE  (
GROUP_NAME                     VARCHAR(64) NOT NULL,
SERVER_NAME                    VARCHAR(64) NOT NULL,
SERVER_INSTANCE                VARCHAR(64) NOT NULL,
SERVER_STATE                   VARCHAR(64) NOT NULL,
SERVER_ID                      VARCHAR(64) NOT NULL,
IOR                            VARCHAR(1025) NOT NULL ,
PRIMARY KEY (GROUP_NAME, SERVER_NAME))  IN WAS4DIST.WLMBSVTS;

CREATE TYPE 2 UNIQUE INDEX EJSADMIN.WLMBSV_IX ON
       EJSADMIN.WLMBOOTSRVRS_TABLE
       (GROUP_NAME, SERVER_NAME);

COMMIT;

GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.BINDINGBEANTBL
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.CONTEXTBEANTBL
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.DATASOURCE_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.DOMAIN_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.DOMAIN_TMPTBL
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.EJB_SERVER_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.ENTAPP_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.j2CCONFACT_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.j2CRA_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.JDBCDRIV_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.JMSCONNFACT_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.JMSDEST_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.JMSPROVIDER_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.LIVE_OBJ_GRP_TBL
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.LIVE_OBJ_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.LOCK_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.LTPACONFIG_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.MAILSESSION_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.MODEL_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.MODULE_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.NODE_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.OBJECT_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.PROPERTYBEANTBL
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.REL_DEFN_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.REL_INSTANCE_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.SE_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.SECURITYCFG_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.SERVER_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.SERVERGROUP_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.TYPE_TABLE
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.URL_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.URLPROVIDER_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.VIRTUAL_HOST_TBL
      TO WEBSRV ;
COMMIT ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.WLMBOOT_TABLE
      TO WEBSRV ;
GRANT DELETE, INSERT, SELECT, UPDATE
  ON TABLE EJSADMIN.WLMBOOTSRVRS_TABLE
      TO WEBSRV ;